summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov <ppetrov@paju.oulu.fi>2013-01-13 12:44:27 +0100
committer dsomero <xgizzmo@slackbuilds.org>2013-01-20 09:03:03 -0500
commita09fca24b0b18297d95ea9cb51088c35dbaf9e28 (patch)
treefc2cf159939fff2ac64e1236b2e34bd386cadb39
parent6a924de2ebb6e95bdf08365242e68ceb7166a4bf (diff)
downloadslackbuilds-a09fca24b0b18297d95ea9cb51088c35dbaf9e28.tar.gz
slackbuilds-a09fca24b0b18297d95ea9cb51088c35dbaf9e28.tar.xz
academic/t_coffee: Added (multiple sequence alignment program).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
-rw-r--r--academic/t_coffee/README13
-rw-r--r--academic/t_coffee/References2
-rw-r--r--academic/t_coffee/slack-desc19
-rw-r--r--academic/t_coffee/t_coffee.SlackBuild100
-rw-r--r--academic/t_coffee/t_coffee.info10
5 files changed, 144 insertions, 0 deletions
diff --git a/academic/t_coffee/README b/academic/t_coffee/README
new file mode 100644
index 0000000000..f5f6689f7d
--- /dev/null
+++ b/academic/t_coffee/README
@@ -0,0 +1,13 @@
+T-Coffee is a multiple sequence alignment package. You can use
+T-Coffee to align sequences or to combine the output of your
+favorite alignment methods (Clustal, Mafft, Probcons, Muscle...)
+into one unique alignment (M-Coffee).
+
+T-Coffee can align Protein, DNA and RNA sequences. It is also able
+to combine sequence information with protein structural information
+3D-Coffee/Expresso), profile information (PSI-Coffee) or RNA
+secondary structures (R-Coffee).
+
+For detailed information and citation:
+T-Coffee: A novel method for multiple sequence alignments.
+Notredame, Higgins,Heringa,JMB,302(205-217)2000
diff --git a/academic/t_coffee/References b/academic/t_coffee/References
new file mode 100644
index 0000000000..80febd6976
--- /dev/null
+++ b/academic/t_coffee/References
@@ -0,0 +1,2 @@
+T-Coffee: A novel method for multiple sequence alignments.
+Notredame, Higgins,Heringa,JMB,302(205-217)2000
diff --git a/academic/t_coffee/slack-desc b/academic/t_coffee/slack-desc
new file mode 100644
index 0000000000..6db4a674f6
--- /dev/null
+++ b/academic/t_coffee/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+t_coffee: t_coffee (A multiple sequence alignment program)
+t_coffee:
+t_coffee: T-Coffee is a multiple sequence alignment package. You can use
+t_coffee: T-Coffee to align sequences or to combine the output of your
+t_coffee: favorite alignment methods (Clustal, Mafft, Probcons, Muscle...)
+t_coffee: into one unique alignment (M-Coffee).
+t_coffee:
+t_coffee: Home: http://www.tcoffee.org/
+t_coffee: References: /usr/doc/t_coffee-$VERSION/References
+t_coffee:
+t_coffee:
diff --git a/academic/t_coffee/t_coffee.SlackBuild b/academic/t_coffee/t_coffee.SlackBuild
new file mode 100644
index 0000000000..fc66530a24
--- /dev/null
+++ b/academic/t_coffee/t_coffee.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for t_coffee
+
+# Copyright 2013 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=t_coffee
+VERSION=${VERSION:-9.03.r1318}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=T-COFFEE_distribution_Version
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${SRCNAM}_${VERSION}
+tar xvf $CWD/${SRCNAM}_${VERSION}.tar.gz
+cd ${SRCNAM}_${VERSION}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd t_coffee_source
+
+CFLAGS="$SLKCFLAGS" \
+CC="gcc" \
+FCC="gfortran" \
+make -i all
+
+install -D -m755 $PRGNAM $PKG/usr/bin/$PRGNAM
+install -D -m755 TMalign $PKG/usr/bin/TMalign
+
+cd -
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ install license.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/t_coffee/t_coffee.info b/academic/t_coffee/t_coffee.info
new file mode 100644
index 0000000000..6f358323cb
--- /dev/null
+++ b/academic/t_coffee/t_coffee.info
@@ -0,0 +1,10 @@
+PRGNAM="t_coffee"
+VERSION="9.03.r1318"
+HOMEPAGE="http://www.tcoffee.org/"
+DOWNLOAD="http://www.tcoffee.org/Packages/Stable/Latest/T-COFFEE_distribution_Version_9.03.r1318.tar.gz"
+MD5SUM="933829c93ec8a2cb30a4e486e9252d88"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"